Speech(3)

NAME
Mac::Speech - Provide interface to PlainTalk (Speech Manager)

SYNOPSIS
    use Mac::Speech;

DESCRIPTION
Access to Inside Macintosh is essential for proper use of these functions. Explanations of terms, processes and procedures are provided there. Any attempt to use these functions without guidance can cause severe errors in your machine, including corruption of data. You have been warned.

  Variables

%Voice
    The %Voice hash will return the index to the first voice whose name matches the given text.

  Constants

kTextToSpeechSynthType
kTextToSpeechVoiceType
kTextToSpeechVoiceFileType
kTextToSpeechVoiceBundleType
    Speech Types.

kNoEndingProsody
kNoSpeechInterrupt
kPreflightThenPause
    Synthesizer flags.

kImmediate
kEndOfWord
kEndOfSentence
    Where to stop.

kNeuter
kMale
kFemale
    Genders.

  Types

VoiceDescription
    Voice Description Record.

            long        length              size of structure--set by application
            VoiceSpec   voice               voice synthesizer and ID info
            long        version             version number of voice
            Str63       name                name of voice
            Str255      comment             text information about voice
            short       gender              neuter, male, or female
            short       age                 approximate age in years
            short       script              script code of text voice can process
            short       language            language code of voice output
            short       region              region code of voice output

VoiceSpec
    Voice Specification Record.

            OSType      creator             ID of required synthesizer
            OSType      id                  ID of voice on the synthesizer

  Functions

SpeechManagerVersion
CountVoices
GetIndVoice INDEX
GetVoiceDescription VOICE
NewSpeechChannel VOICE
DisposeSpeechChannel CHAN
SpeakString S
SpeakText CHAN, TEXT
SpeakBuffer CHAN, TEXT, CONTROLFLAGS
StopSpeech CHAN
StopSpeechAt CHAN, WHERETOSTOP
PauseSpeechAt CHAN, WHERETOPAUSE
ContinueSpeech CHAN
SpeechBusy
SpeechBusySystemWide
SetSpeechRate CHAN, RATE
GetSpeechRate CHAN
SetSpeechPitch CHAN, PITCH
GetSpeechPitch CHAN
TextToPhonemes CHAN, TEXT
SpeechToFile CHAN, PATH
    Set speech channel CHAN to output to file PATH.

AUTHOR
Written by Matthias Ulrich Neeracher <neeracher@mac.com>. Currently maintained by Chris Nandor <pudge@pobox.com>.